GNU bug report logs - #54981
[PATCH 0/3] Update neovim to version 0.7.0

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: guix-patches@HIDDEN; Keywords: patch; merged with #54982, #54983, #54984, #55045; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 54981 54982 54983 54984 55045. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 54981 54982 54983 54984. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 54981 <at> debbugs.gnu.org:


Received: (at 54981) by debbugs.gnu.org; 17 Apr 2022 08:07:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 17 04:07:18 2022
Received: from localhost ([127.0.0.1]:34941 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nfzwE-0001Is-9Z
	for submit <at> debbugs.gnu.org; Sun, 17 Apr 2022 04:07:18 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:40294)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nfzwC-0001Id-51
 for 54981 <at> debbugs.gnu.org; Sun, 17 Apr 2022 04:07:16 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by andre.telenet-ops.be with bizsmtp
 id Kk7E270074UW6Th01k7ESY; Sun, 17 Apr 2022 10:07:14 +0200
Message-ID: <e09ae4ae04962a307302a687f1858c130959bbc4.camel@HIDDEN>
Subject: Re: [bug#54981] [PATCH 0/3] Update neovim to version 0.7.0
From: Maxime Devos <maximedevos@HIDDEN>
To: 54981 <at> debbugs.gnu.org
Date: Sun, 17 Apr 2022 10:07:14 +0200
In-Reply-To: <20220417033416.333057-1-imran@HIDDEN>
References: <20220417033416.333057-1-imran@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-wQ9Gr4TtqPFCmq0tGaZ2"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1650182834; bh=QdkMXqW9twOvp5GLPjdVKh4k+uB1UCixB04ERL/w93E=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=CDIuAa3yed37SubP+XAzr/60KTzdJXT0CEeDD+BQd4O8N89nI0cY2vW6tVBzacp0m
 mQW1OzSGvIVfIjnU4kJ1c5SW73moaLOtl6DBKXAeNNQv78oZOgO4NdXVH0z6yH/UDT
 qO9kjM82w8m8eiNiFw5uBKCwfbA0jyqWEJ2q8JWQv63SKDMPMBHGUmdBNMlBP3xFxV
 Mjrs5MrdMH3SWgYl7jkeXTBo4EgSCslj7mvGUwwESUnN45QQsbU0rMOWpTQbBvfFg3
 Juo5KnvYhmvIxmEV64jAHlLQnePLONl/gx6i0bdciz3E2HCpOHWVHrAYHkgbPReV6o
 ewMSUfd1bbVIw==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54981
Cc: control <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-wQ9Gr4TtqPFCmq0tGaZ2
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

merge 54981 54982 54983 54984
thanks

Hi, guix-patches@HIDDEN is for submitting new patch series, not for
responding to existing patches, so in the future, please don't put
guix-patches@HIDDEN in Reply-To or CC and only send a single mail to
guix-patches@HIDDEN, send the later ones to the NNNNN <at> debbugs.gnu.org,
such that only a single entry is created and the patches aren't lost.

=E2=80=98(guix)Configuring Git=E2=80=99 has some info on this matter:

  When sending a patch series (e.g., using =E2=80=98git send-email=E2=80=99=
), please
  first send one message to <guix-patches@HIDDEN>, and then send
  subsequent patches to <NNN <at> debbugs.gnu.org> to make sure they are
  kept together.  See the Debbugs documentation
  (https://debbugs.gnu.org/Advanced.html) for more information. [...]

Greetings,
Maxime.

--=-wQ9Gr4TtqPFCmq0tGaZ2
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYlvKshccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7lfoAQCzXPB0pGdfFzlVP/ObuM8EJqfy
QzHX+3YAsgppR1EiHQD+Ltu5XPrBUuB6NQHXnzFi7IiaE6tQQf2BlmpSpbqeIQ4=
=sbxP
-----END PGP SIGNATURE-----

--=-wQ9Gr4TtqPFCmq0tGaZ2--





Information forwarded to guix-patches@HIDDEN:
bug#54981; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Apr 2022 05:17:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 17 01:17:46 2022
Received: from localhost ([127.0.0.1]:34853 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nfxIA-0005Bf-8A
	for submit <at> debbugs.gnu.org; Sun, 17 Apr 2022 01:17:46 -0400
Received: from lists.gnu.org ([209.51.188.17]:33622)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <imran@HIDDEN>) id 1nfvg9-0002Su-89
 for submit <at> debbugs.gnu.org; Sat, 16 Apr 2022 23:34:25 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:60520)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <imran@HIDDEN>)
 id 1nfvg8-00048y-VJ
 for guix-patches@HIDDEN; Sat, 16 Apr 2022 23:34:24 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:58727)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <imran@HIDDEN>)
 id 1nfvg7-0005Jo-2a
 for guix-patches@HIDDEN; Sat, 16 Apr 2022 23:34:24 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id 646CC5C00FE
 for <guix-patches@HIDDEN>; Sat, 16 Apr 2022 23:34:20 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute2.internal (MEProxy); Sat, 16 Apr 2022 23:34:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=imraniqbal.org;
 h=cc:content-transfer-encoding:date:date:from:from:in-reply-to
 :message-id:mime-version:reply-to:reply-to:sender:subject
 :subject:to:to; s=fm3; t=1650166460; x=1650252860; bh=tl4jCqVisQ
 zwPTtutQYnmYqPmIXGXh7pE06ixB5VzME=; b=AZBmE/xYY8ZdsFCASFyAe2gICh
 MlzNfjd5TqVgcWvUPupS8rQLOVKlzkkqEuGsCGUAHafQO3NjMKMQDxaRzeCsFYJx
 5YlG4Ih82pdv7+fn2/opZzoZCtt4HXxOkJV57oRpNNDRfU5nMBVKMoBJfTmHyI88
 6AUHgAPIkbTRwG9YTthbwAJClEWgsOk1+/nUf/MHQrL4lfRVWtDYPYdPqcslefA/
 hmMzCX/Gc9Vyu9IoF8GUiLeEpRYUfvHeR7vS9lz/KuFVXO3JNwlDPMuajoP6QSC1
 mAyqmQkAfRIrmv1AT6reEuBZR7xCh9ESPcLlm7ksZxVgzktzGOsPDkiuVksw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:date:date
 :from:from:in-reply-to:message-id:mime-version:reply-to:reply-to
 :sender:subject:subject:to:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm1; t=1650166460; x=1650252860; bh=t
 l4jCqVisQzwPTtutQYnmYqPmIXGXh7pE06ixB5VzME=; b=p3oHimrAMV4KDfLq6
 R8vMVrEJ4dC0e7NzJolG0lQK+m7UToFotrmS0WtM+WSrWfpQZ+PgR6WiK7nhsmMk
 K/dhNowaHP5TCvObc53wK7Lc9oxy2McIDzNFlj/8Z+/5nBfJSSKvbiiyxnjNiMr/
 N/FsxVBPckHT6LrpevgvajEXDbvmP15oGogheV03YZtWfIvyy37QFUgrlJtBXUyF
 sKdOJcWb+Gy7D+DD09svK5npLZTLukmxCzHB3dhtd1L2+eBAHkFQHMArEGWbv2jF
 KQjNSg0uxglJ9OWFYsVgrgmCHsehimLZF3c8TKjF2nwNeu+rDuoBIoHBk6rY1wRx
 xYL2Q==
X-ME-Sender: <xms:vIpbYpGb1zoUEqMBjPIsScLtCOn2p7hcgb8i7I4B3VUjaY1RJhswSQ>
 <xme:vIpbYuWeMzMPYib3c-T4VXji0mh3OhnspcV8frsHmLdmypW_Ar56db-wBMOFa42qR
 YGWSKYANprheTuOtWE>
X-ME-Received: <xmr:vIpbYrK9ODbARGUhWgAiK7KdTIVqQKAAi5ymi6IKuTEvtItiq7jW8Ez1B0EcWNmtv3pYZWQd4P_cmcRswsOnNCFNNY2K1dSMoWOZWPT3MZ_gIr_2seQllZQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvvddrudelkedgjeehucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffufffkofhrggfgsedtkeertd
 ertddtnecuhfhrohhmpefkmhhrrghnucfkqhgsrghluceoihhmrhgrnhesihhmrhgrnhhi
 qhgsrghlrdhorhhgqeenucggtffrrghtthgvrhhnpeffleegkeeludekvdelteffleetvd
 evgfeuffelfeelvdeguefhgfetueeihfelleenucffohhmrghinhepghhithhhuhgsrdgt
 ohhmnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomhepih
 hmrhgrnhesihhmrhgrnhhiqhgsrghlrdhorhhg
X-ME-Proxy: <xmx:vIpbYvEckpE1f6w46cNLZomLAycK6Zqc4Pm5d3st4By3oKwUjVchBA>
 <xmx:vIpbYvWcpikWTs0nfP1sjm6f8n2c9uFfwFPOVRT0oYYA_4Va-91zTQ>
 <xmx:vIpbYqOOtxWsBRnl5GnAQjMsAX3rXrEkEL77fUkq-VQ00cyLohg8_g>
 <xmx:vIpbYmDpNEu4WhxJIqouW6Fz9dIsqycbCoyPWnOzAlKbA8lyzMQIRg>
Received: by mail.messagingengine.com (Postfix) with ESMTPA for
 <guix-patches@HIDDEN>; Sat, 16 Apr 2022 23:34:20 -0400 (EDT)
From: Imran Iqbal <imran@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/3] Update neovim to version 0.7.0
Date: Sat, 16 Apr 2022 23:34:13 -0400
Message-Id: <20220417033416.333057-1-imran@HIDDEN>
X-Mailer: git-send-email 2.35.3
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=66.111.4.27; envelope-from=imran@HIDDEN;
 helo=out3-smtp.messagingengine.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_PASS=-0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 17 Apr 2022 01:17:44 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: guix-patches@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

Hi,

This set of patches brings neovim up to version 0.7.0. A change was
introduced:
https://github.com/neovim/neovim/commit/55ab76a1c0f63ebb735495a91066cbe01b6d0bb3
that bumps the required version lua-luv to 1.43.0-0, which subsequently
required libuv to bumped to 1.43.0 as well.

lua-compat-5.3 was bumped to e245d3a18957e43ef902a59a72c8902e2e4435b9
which moves the compat-5.3.h header file under a new c-api folder see:
https://github.com/luvit/luv/commit/60946d35ad6ba80d836e70174e0610ed32c3eb01





Acknowledgement sent to guix-patches@HIDDEN:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#54981; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 May 2022 18:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.